#include <globals.h>
#include <xbee.h>

XBee radio_one; // my radio

/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

   SETUP

   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
void setup()
{
   Serial.begin( BAUD_RATE );

                                  // address of local radio
   set_64_bit_address_on( radio_one, "0013A200402D1D41" );
}

/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

   LOOP

   :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
void loop()
{
   static byte response;

                                 // remote radio addr , ATDB command
   send_remote_at_query( radio_one, "0013A2004031F9F5", "DB" );
   read_at_query_into( &response ); /* returns reponse and waits a 
                                       half a second */

   Serial.print( "\nResponse data is " );
   Serial.print( response, HEX );
   Serial.print( "\r\n" );
}
